%global fontname vemana2000
%global fontconf 69-%{fontname}

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

Name: %{fontname}-fonts
Version: 1.1.3
Release: 1
Summary: Unicode compliant OpenType font for Telugu
Group: User Interface/X
License: GPLv2+ with exceptions
URL: https://fedorahosted.org/pothana_vemana/
Source0: https://fedorahosted.org/releases/p/o/pothana_vemana/%{name}-ttf-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch

Requires: fontconfig

%description
A free OpenType font for Telugu created by
Dr. Tirumala Krishna Desikacharyulu. 


%prep
%setup -q -n %{name}-ttf-%{version}


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp *.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{fontconf}.conf ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/*.conf

ln -sf %{_fontconfig_templatedir}/%{fontconf}.conf ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/%{fontconf}.conf


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc ChangeLog COPYRIGHT COPYING AUTHORS README
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/*.ttf


%changelog
* Wed Mar 09 2011 Michael Perzl <michael@perzl.org> - 1.1.3-1
- first version for AIX V5.1 and higher
